KLA12209
Multiple vulnerabilities in Opera

Updated: 06/22/2021
Detect date
?
06/17/2021
Severity
?
High
Description

Multiple vulnerabilities were found in Opera. Malicious users can exploit these vulnerabilities to cause denial of service, execute arbitrary code.

Below is a complete list of vulnerabilities:

  1. A type confusion vulnerability in V8 can be exploited to cause denial of service.
  2. A use after free vulnerability in Spell check can be exploited to cause denial of service or execute arbitrary code.
  3. A use after free vulnerability in Network service can be exploited to cause denial of execute arbitrary code.
  4. A use after free vulnerability in Accessibility can be exploited to cause denial of execute arbitrary code.
  5. A use after free vulnerability in Loader can be exploited to cause denial of service or cause denial of service.
  6. A use after free vulnerability in Extensions can be exploited to cause denial of service or execute arbitrary code.
  7. A use after free vulnerability in BFCache can be exploited to cause denial of service or execute arbitrary code.
  8. An out of bounds write vulnerability in ANGLE can be exploited to cause denial of service or execute arbitrary code.
  9. A use after free vulnerability in Extensions can be exploited to cause denial of execute arbitrary code.
  10. A use after free vulnerability in Autofill can be exploited to cause denial of service or execute arbitrary code.
Affected products

Opera earlier than 77.0.4054.90

Solution

Update to the latest version
Download Opera

Original advisories

Changelog for Opera 77
Stable Channel Update for Desktop

Impacts
?
ACE 
[?]

DoS 
[?]
Related products
Opera
CVE-IDS
?
Find out the statistics of the vulnerabilities spreading in your region